# sdkms/v1.ChildAccountsApi

All URIs are relative to *https://apps.smartkey.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_child_account**](ChildAccountsApi.md#create_child_account) | **POST** /sys/v1/accounts/child | Create a new child account
[**get_child_accounts**](ChildAccountsApi.md#get_child_accounts) | **GET** /sys/v1/accounts/{account-id}/child | Get all child accounts of the given account


# **create_child_account**
> Account create_child_account(body)

Create a new child account

Create a new child account with the specified properties.

### Example 
```python
from __future__ import print_function
import time
import sdkms/v1
from sdkms/v1.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerToken
configuration = sdkms/v1.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = sdkms/v1.ChildAccountsApi(sdkms/v1.ApiClient(configuration))
body = sdkms/v1.AccountRequest() # AccountRequest | Properties to assign to Account.

try: 
    # Create a new child account
    api_response = api_instance.create_child_account(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ChildAccountsApi->create_child_account: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**AccountRequest**](AccountRequest.md)| Properties to assign to Account. | 

### Return type

[**Account**](Account.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_child_accounts**
> list[Account] get_child_accounts(account_id)

Get all child accounts of the given account

Get all child accounts of the given account.

### Example 
```python
from __future__ import print_function
import time
import sdkms/v1
from sdkms/v1.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerToken
configuration = sdkms/v1.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = sdkms/v1.ChildAccountsApi(sdkms/v1.ApiClient(configuration))
account_id = 'account_id_example' # str | Account Identifier

try: 
    # Get all child accounts of the given account
    api_response = api_instance.get_child_accounts(account_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ChildAccountsApi->get_child_accounts: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **str**| Account Identifier | 

### Return type

[**list[Account]**](Account.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

